Index: Makefile
===================================================================
--- Makefile	(revision 332654)
+++ Makefile	(working copy)
@@ -3,7 +3,7 @@
 
 PORTNAME=	openvpn-auth-ldap
 PORTVERSION=	2.0.3
-PORTREVISION=	3
+PORTREVISION=	4
 CATEGORIES=	security
 MASTER_SITES=	${MASTER_SITE_GOOGLE_CODE}
 DISTNAME=	auth-ldap-${PORTVERSION}
@@ -18,25 +18,30 @@
 USE_OPENLDAP=	yes
 OPENVPN_WRKSRC=	`cd ${PORTSDIR}/security/openvpn; make -V WRKSRC`
 CONFIGURE_ARGS+=	--with-openldap=${LOCALBASE} \
-			--with-openvpn=${OPENVPN_WRKSRC}
+			--with-openvpn=${OPENVPN_WRKSRC}/include \
+			--with-objc-runtime=GNU
 
 PORTDOCS=	README
 PORTEXAMPLES=	auth-ldap.conf
 PLIST_FILES=	lib/openvpn-auth-ldap.so
 
 NO_STAGE=	yes
-.include <bsd.port.pre.mk>
 
+OPTIONS_DEFINE=	DOCS
+.include <bsd.port.options.mk>
+
 .if (${OSVERSION} >= 900000 && ${OSVERSION} < 900012) || ${OSVERSION} < 800505
 BUILD_DEPENDS+=	${LOCALBASE}/bin/xz:${PORTSDIR}/archivers/xz
 .endif
 
 .if ${OSVERSION} >= 900000
-BROKEN=		does not configure on FreeBSD 9.X
+# Use gcc from ports because Objective C support no longer included in base
+USE_GCC=	yes
+CONFIGURE_ENV+=	OBJC="${CC}"
 .endif
 
 post-install:
-.if !defined(NOPORTDOCS)
+.if ${PORT_OPTIONS:MDOCS}
 	${MKDIR} ${DOCSDIR}
 	${INSTALL_DATA} ${WRKSRC}/README ${DOCSDIR}
 .endif
@@ -45,4 +50,4 @@
 	${INSTALL_DATA} ${WRKSRC}/auth-ldap.conf ${EXAMPLESDIR}
 .endif
 
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
Index: files/patch-tests-Makefile.in
===================================================================
--- files/patch-tests-Makefile.in	(revision 0)
+++ files/patch-tests-Makefile.in	(working copy)
@@ -0,0 +1,11 @@
+--- tests/Makefile.in.orig	2006-08-01 05:51:52.000000000 +0200
++++ tests/Makefile.in	2013-06-09 06:33:07.000000000 +0200
+@@ -26,7 +26,7 @@
+ CFLAGS+=	@CHECK_CFLAGS@ -DTEST_DATA=\"${srcdir}/data\"
+ OBJCFLAGS+=	@CHECK_CFLAGS@ -DTEST_DATA=\"${srcdir}/data\"
+ LIBS+=		-lauth-ldap-testing $(OBJC_LIBS) $(LDAP_LIBS) @CHECK_LIBS@
+-LDFLAGS+=	-L${top_builddir}src $(LIBS)
++LDFLAGS+=	-L${top_builddir}/src $(LIBS)
+ 
+ # Recompile the tests every time
+ all: tests

Property changes on: files/patch-tests-Makefile.in
___________________________________________________________________
Added: svn:mime-type
## -0,0 +1 ##
+text/plain
\ No newline at end of property
Added: fbsd:nokeywords
## -0,0 +1 ##
+yes
\ No newline at end of property
Added: svn:eol-style
## -0,0 +1 ##
+native
\ No newline at end of property
